Create
Add a note to an alert.
POST
/
v1
/
alert_notes
Create
curl --request POST \
--url https://api.incident.io/v1/alert_notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alert_group_id": "01HB9Z8WANK6P870EA6S7TK1DS",
"alert_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"content": "Customer reports **checkout 500s** starting ~14:32 UTC. Investigating `payments-api`.\n\n- Error rate: ~12% on `/checkout`\n- Region: `eu-west-1`\n- See [dashboard](https://grafana.example.com/d/abc)\n"
}
'import requests
url = "https://api.incident.io/v1/alert_notes"
payload = {
"alert_group_id": "01HB9Z8WANK6P870EA6S7TK1DS",
"alert_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"content": "Customer reports **checkout 500s** starting ~14:32 UTC. Investigating `payments-api`.
- Error rate: ~12% on `/checkout`
- Region: `eu-west-1`
- See [dashboard](https://grafana.example.com/d/abc)
"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alert_group_id: '01HB9Z8WANK6P870EA6S7TK1DS',
alert_id: '01FCNDV6P870EA6S7TK1DSYDG0',
content: 'Customer reports **checkout 500s** starting ~14:32 UTC. Investigating `payments-api`.\n\n- Error rate: ~12% on `/checkout`\n- Region: `eu-west-1`\n- See [dashboard](https://grafana.example.com/d/abc)\n'
})
};
fetch('https://api.incident.io/v1/alert_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert_note": {
"alert_group_id": "01HB9Z8WANK6P870EA6S7TK1DS",
"alert_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"content": "Customer reports **checkout 500s** starting ~14:32 UTC. Investigating `payments-api`.\n\n- Error rate: ~12% on `/checkout`\n- Region: `eu-west-1`\n- See [dashboard](https://grafana.example.com/d/abc)\n",
"created_at": "2026-05-28T15:30:00Z",
"creator": {
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
}
},
"id": "01J1X9J85C7Y12G8P8W8K55Q5Y",
"images": [
{
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"url": "https://storage.googleapis.com/incident-io/images/..."
}
],
"last_edited_at": "2026-05-28T15:35:00Z",
"updated_at": "2026-05-28T15:35:00Z"
}
}🔑 Requires the
alerts.edit scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Body
application/json
Markdown body of the note
Example:
"Customer reports **checkout 500s** starting ~14:32 UTC. Investigatingpayments-api.\n\n- Error rate: ~12% on/checkout\n- Region:eu-west-1\n- See [dashboard](https://grafana.example.com/d/abc)\n"
ID of the alert group to add the note to. Provide exactly one of alert_id or alert_group_id.
Example:
"01HB9Z8WANK6P870EA6S7TK1DS"
ID of the alert to add the note to. Provide exactly one of alert_id or alert_group_id.
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Response
201 - application/json
Created response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create
